//========================================================================================
//
//	File:				PartInfo.fr
//	Release Version:	$ ODF 1 $
//
//	Copyright:	(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#ifndef FWRESFIL_K
#include "FWResFil.k"
#endif

#ifndef FWPART_FR
#include "FWPart.fr"
#endif

#ifndef DEFINES_K
#include "Defines.k"
#endif

#ifndef BINDING_K
#include "Binding.k"
#endif

#ifndef SLGCONST_K
#include "SLGConst.k" 
#endif

#ifndef FWVIEWS_FR
#include "FWViews.fr"
#endif

//----------------------------------------------------------------------------------------
//	PartInfo Resource
//----------------------------------------------------------------------------------------

resource FW_RPartInfo(kPartInfoID)
{
	// ----- Icon ID
	kPartIconID,
	
	// ----- Part Name
	kDataCopyKindUserString,
	
	// ----- PartKind
	kDataCopyKind
};

//----------------------------------------------------------------------------------------
//	About Resource
//----------------------------------------------------------------------------------------

resource FW_RAbout(kAbout)
{
	// ----- Icon ID
	130,														
	// ----- Part Name
	FW_RStyledText
	(
		FW_FIX(18), 
		FW_kBold, 
		"times", 
		"DataCopy"
	),
	// ----- Version Number
	FW_RStyledText
	(
		FW_FIX(9),
		FW_kPlain,
		"geneva",
		"ODF Release 1"
	),
	// ----- Credits
	FW_RStyledText
	(
		FW_FIX(9),
		FW_kPlain,
		"geneva",
		"DataCopy....\r"									
		"Nomally uses Undoable commands.\r"
		"Hold down shift to not use commands.\r"									
		"Nomally draws only pizzas that intersect invalid rect.\r"
		"Hold down command to draw all pizzas.\r"								
		"Hold down command when saving to see # of pizzas.\r"									
		"Written by Dave Wilson.\r 1993-96 Apple Computer, Inc., all right reserved."
	)
};