//========================================================================================
//	Release Version:	$ ODF 1 $
//	Copyright:	(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.

#ifndef SELECTION_H
#define SELECTION_H

//====================================================================
// ----- FrameWork Includes -----
#ifndef FWSELECT_H
#include "FWSelect.h"	// FW_CSelection
#endif

//====================================================================
class CDataCopyPart;
class CDataCopyFrame;
class CDataCopyContent;

//====================================================================
class CDataCopySelection : public FW_CSelection {
public:
	FW_DECLARE_AUTO(CDataCopySelection)
							CDataCopySelection(Environment* ev, 
											CDataCopyContent* content);
	virtual 				~CDataCopySelection();
	// overrides
protected:
	// must override
	virtual void			CloseSelection(Environment* ev);
	virtual void			ClearSelection(Environment* ev);
	virtual FW_Boolean		IsEmpty(Environment* ev) const;
	virtual void			SelectAll(Environment* ev);
	virtual FW_CContent*	GetSelectedContent(Environment* ev);
private:
	CDataCopyContent*			fDataCopyContent;
};

//====================================================================
#endif