//	Copyright  1995 Apple Computer, Inc. All rights reserved.
//	Release Version:	$ 1.0 d11 $

#ifndef FRAME_H
#define FRAME_H

//=======================================================================
// ----- Framework Includes -----
#ifndef FWFRAME_H
#include <FWFrame.h>		// FW_CFrame
#endif

//=======================================================================
class CEventsPart;
class FW_CMenuEvent;

//=======================================================================
class CEventsFrame : public FW_CFrame {
public:
	FW_DECLARE_AUTO(CEventsFrame)
						CEventsFrame(Environment* ev, 
									ODFrame* odFrame, 
									FW_CPresentation* presentation, 
									CEventsPart* eventsPart);
	virtual 			~CEventsFrame();
protected:
// overrides
	virtual void		Draw(Environment *ev, 
							 ODFacet* odFacet, 
							 ODShape* invalidShape);
	virtual FW_Boolean	DoMouseDown(Environment* ev, 
									const FW_CMouseEvent& theMouseEvent);
	virtual FW_Boolean	DoCharKey(Environment* ev, 
							const FW_CCharKeyEvent& theCharKeyEvent);
	virtual FW_Boolean 	DoVirtualKey(Environment* ev, 
						  const FW_CVirtualKeyEvent& theVirtualKeyEvent);
};

//=======================================================================
#endif
