//	Copyright  1995 Apple Computer, Inc. All rights reserved.
//	Release Version:	$ 1.0 d11 $

#ifndef FRAME_H
#define FRAME_H

//=======================================================================
// ----- Framework Includes -----
#ifndef FWFRAME_H
#include <FWFrame.h>		// FW_CFrame
#endif

//=======================================================================
class CSamplePart;
class FW_CMenuEvent;

//=======================================================================
class CSampleFrame : public FW_CFrame {
public:
	FW_DECLARE_AUTO(CSampleFrame)
						CSampleFrame(Environment* ev, 
									ODFrame* odFrame, 
									FW_CPresentation* presentation, 
									CSamplePart* samplePart);
	virtual 			~CSampleFrame();
protected:
// overrides
	virtual void		Draw(Environment *ev, 
							 ODFacet* odFacet, 
							 ODShape* invalidShape);
};

//=======================================================================
#endif
