//	Copyright  1995-96 Apple Computer. All rights reserved.
//	Release Version:	$ ODF 1 $

#ifndef TALKERCMD_H
#define TALKERCMD_H

//==========================================================
#ifndef FWCMD_H
#include "FWCmd.h"			// FW_CCommand
#endif

#ifndef FWMNUITM_H
	#include "FWMnuItm.h"	// FW_kFirstUserCommandID
#endif 

//==========================================================
class DevUniv_STalker;

//==========================================================
class CTalkerCommand : public FW_CCommand
{
public:
	FW_DECLARE_AUTO(CTalkerCommand)
	
					CTalkerCommand(Environment* ev, 
									ODCommandID id,
									FW_CFrame* frame,
									DevUniv_STalker* talker);
	virtual 		~CTalkerCommand();
protected:
	// overrides
	virtual void 	DoIt(Environment* ev);
	virtual void 	UndoIt(Environment* ev);
	virtual void 	RedoIt(Environment* ev);
private:
	DevUniv_STalker*	fSOMTalker;	// speech synthesis SOM object 	
};

//==========================================================
#endif