//	Copyright  1995 Apple Computer, Inc. All rights reserved.
//	Release Version:	$ 1.0d1 $

//========================================================================
#ifndef SELECTION_H
#include "Selection.h"		// CTalkerSelection
#endif

#ifndef PART_H
#include "Part.h"		// CTalkerPart
#endif

#ifndef FRAME_H
#include "Frame.h"		// CTalkerFrame
#endif

#ifndef CONTENT_H
#include "Content.h"
#endif

// ----- Part Layer -----
#ifndef FWUTIL_H
#include "FWUtil.h"
#endif

#ifndef FWITERS_H
#include "FWIters.h"
#endif

#ifndef FWPRESEN_H
#include "FWPresen.h"
#endif

// ----- Foundation Layer -----
#ifndef FWSUSINK_H
#include "FWSUSink.h"
#endif

#ifndef FWSTREAM_H
#include "FWStream.h"
#endif

// ----- OpenDoc Includes -----
#ifndef SOM_Module_OpenDoc_StdProps_defined
#include <StdProps.xh>
#endif

#ifndef SOM_ODShape_xh
#include <Shape.xh>
#endif

//========================================================================
#ifdef FW_BUILD_MAC
#pragma segment talker
#endif

FW_DEFINE_AUTO(CTalkerSelection)
//========================================================================
CTalkerSelection::CTalkerSelection(Environment* ev, CTalkerContent* content)
  :	FW_CSelection(ev, false, false),
	fTalkerContent(content)
{
	FW_END_CONSTRUCTOR
}

//-------------------------------------------------------------------------
CTalkerSelection::~CTalkerSelection()
{	
	FW_START_DESTRUCTOR
}

//-------------------------------------------------------------------------
void 
CTalkerSelection::CloseSelection(Environment* ev)
{
}

//-------------------------------------------------------------------------
void 
CTalkerSelection::ClearSelection(Environment* ev)
{
}

//-------------------------------------------------------------------------
void 
CTalkerSelection::SelectAll(Environment* ev)
{
}

//-------------------------------------------------------------------------
FW_Boolean 
CTalkerSelection::IsEmpty(Environment* ev) const
{
	return TRUE;			// no data to copy
}

//-------------------------------------------------------------------------
FW_CContent* 
CTalkerSelection::GetSelectedContent(Environment* ev)
{
	return fTalkerContent;
}
