//	Copyright  1995-96 Apple Computer, Inc. All rights reserved.
//	Release Version:	$ ODF 1 $

#ifndef PIZZA_H
#define PIZZA_H

//==========================================================================
// ----- Foundation Layer -----
#ifndef FWRUNTYP_H
#include "FWRunTyp.h"
#endif

//==========================================================================
class FW_CRect;
class CPizzaODFPart;

//==========================================================================
class CPizza {
public:
	FW_DECLARE_CLASS
						CPizza(FW_CRect bounds);
	virtual				~CPizza();
	virtual void		Draw(FW_CGraphicContext& gc);
	FW_CRect			GetBounds();
// Persistence members
	static void* 		Read(FW_CReadableStream& stream, 
								FW_ClassTypeConstant type);
	static void 		Write(FW_CWritableStream& stream, 
								FW_ClassTypeConstant type, 
								const void *object);
protected:
						CPizza(FW_CReadableStream& stream);
	virtual void 		Flatten(FW_CWritableStream& stream);
private:
	FW_CRect			fBounds;
};

//==========================================================================
#endif