//	Release Version:	$ ODF 1 $
//	Copyright:	(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.

#ifndef FRAME_H
#define FRAME_H

//=======================================================================
// ----- Framework Includes -----
#ifndef FWFRAME_H
#include <FWFrame.h>		// FW_CFrame
#endif

#ifndef FWRECT_H
#include <FWRect.h>			// FW_CRect
#endif

// ----- OS Layer -----
#ifndef FWEVENT_H
#include "FWEvent.h"		// FW_CMouseEvent
#endif

//=======================================================================
class CDataSavePart;
class FW_CMenuEvent;

//=======================================================================
class CDataSaveFrame : public FW_CFrame {
public:
	FW_DECLARE_AUTO(CDataSaveFrame)
	
						CDataSaveFrame(Environment* ev, 
									ODFrame* odFrame, 
									FW_CPresentation* presentation, 
									CDataSaveContent* content);
	virtual 			~CDataSaveFrame();
protected:
// overrides
	virtual void		Draw(Environment *ev, 
							 ODFacet* odFacet, 
							 ODShape* invalidShape);
	virtual FW_Boolean 	DoMouseDown(Environment* ev, 
								const FW_CMouseEvent& theMouseEvent);
// new members
private:
	CDataSaveContent* 	fDataSaveContent;
	FW_CRect 			fFrameRect;
};

//=======================================================================
#endif
