//	Release Version:	$ ODF 1 $
//	Copyright:			(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.

//========================================================================================
#include "Graphics3D.hpp"

#ifndef CONTENT_H
#include "Content.h"
#endif

#ifndef PART_H
#include "Part.h"
#endif

#ifndef FWUTIL_H
#include "FWUtil.h"
#endif

//========================================================================================
#ifdef FW_BUILD_MAC
#pragma segment Graphics3D
#endif

//========================================================================================
FW_DEFINE_AUTO(CGraphics3DContent)

//----------------------------------------------------------------------------------------
CGraphics3DContent::CGraphics3DContent(Environment* ev, CGraphics3DPart* part)
	: FW_CContent(ev, part)
{
}

//----------------------------------------------------------------------------------------
CGraphics3DContent::~CGraphics3DContent()
{
}

//----------------------------------------------------------------------------------------
void 
CGraphics3DContent::Externalize(Environment* ev,
								 ODStorageUnit* storageUnit,
								 FW_EStorageKinds storageKind,
								 FW_CCloneInfo* cloneInfo)
{
	FW_UNUSED(cloneInfo);
}

//----------------------------------------------------------------------------------------
FW_Boolean 
CGraphics3DContent::Internalize(Environment* ev,
							 ODStorageUnit* sourceSU, 
							 FW_EStorageKinds storageKind,
							 FW_CCloneInfo* cloneInfo)
{
	FW_UNUSED(cloneInfo);
	FW_Boolean internalized = false;
	return internalized;
}

